%global _empty_manifest_terminate_build 0
Name:		python-ovsdbapp
Version:	2.8.0
Release:	1
Summary:	A library for creating OVSDB applications
License:	Apache-2.0
URL:		https://pypi.org/project/ovsdbapp/
Source0:	https://files.pythonhosted.org/packages/00/65/3be64dd689fe1e3d75452e0fa956df97f27e3ebdea3907a26e5066964532/ovsdbapp-2.8.0.tar.gz
BuildArch:	noarch

%description
A library for writing Open vSwitch OVSDB-based applications.

%package -n python3-ovsdbapp
Summary:	A library for creating OVSDB applications
Provides:	python-ovsdbapp = %{version}-%{release}
# Base build requires
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
BuildRequires:	python3-pbr
BuildRequires:	python3-pip
BuildRequires:	python3-wheel
BuildRequires:	python3-stestr
BuildRequires:	python3-netaddr >= 0.7.18
BuildRequires:	python3-testrepository
BuildRequires:	python3-openvswitch
# General requires
BuildRequires:	python3-fixtures
BuildRequires:	python3-netaddr
# General requires
Requires:	python3-fixtures
Requires:	python3-netaddr
Requires:	python3-openvswitch
Requires:	python3-pbr
%description -n python3-ovsdbapp
A library for writing Open vSwitch OVSDB-based applications.

%package help
Summary:	Development documents and examples for ovsdbapp
Provides:	python3-ovsdbapp-doc
%description help
A library for writing Open vSwitch OVSDB-based applications.

%prep
%autosetup -n ovsdbapp-%{version}

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
if [ -f README.rst ]; then cp -af README.rst %{buildroot}/%{_pkgdocdir}; fi
if [ -f README.md ]; then cp -af README.md %{buildroot}/%{_pkgdocdir}; fi
if [ -f README.txt ]; then cp -af README.txt %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-ovsdbapp -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Fri Jul 26 2024 guochao <guochao@kylonos.cn> - 2.8.0-1
- Upgrade package to version 2.8.0
- Modify require vlog.py utils.py

* Wed May 22 2024 lilu <lilu@kylinos.cn> - 2.7.1-1
- Update package to version 2.7.1
- Improve compatibility with netaddr 1.x
- Handle IPv6 addresses for LB IP port mappings

* Wed Dec 21 2022 wangjunqi <wangjunqi@kylinos.cn> - 2.2.0-1
- Update package to version 2.2.0

* Thu Jun 16 2022 OpenStack_SIG <openstack@openeuler.org> - 1.15.2-1
- Upgrade version for openstack yoga

* Sun Aug 1 2021 huangtianhua <huangtianhua@huawei.com> - 1.9.0-3
- Fix type

* Sat Jul 31 2021 huangtianhua <huangtianhua@huawei.com> - 1.9.0-2
- Modify require to python3-openvswitch

* Mon Jul 26 2021 OpenStack_SIG <openstack@openeuler.org> - 1.9.0-1
- Update to 1.9.0 

* Tue Jan 26 2021 zhangy <zhangy1317@foxmail.com> 2021.1.26
- Update to 2021.1.26
